For the complete documentation index, see llms.txt. This page is also available as Markdown.

Case Attachments

Attachment configuration and forwarding

Update HTTPS attachment configuration details

put
Authorizations
Path parameters
tokenstringRequired

The token provided by TSANet for the collaboration request

Body
domainstringRequired
passwordstringRequired
expirationstring · date-timeRequired
httpsPathstringRequired
httpsPortinteger · int32Required
Responses
200

Attachment configuration updated successfully

put/v1/collaboration-requests/{token}/attachments/config/https
PUT /v1/collaboration-requests/{token}/attachments/config/https HTTP/1.1
Host: connect2.tsanet.org
Content-Type: application/json
Accept: */*
Content-Length: 108

{
  "domain": "text",
  "password": "text",
  "expiration": "2026-01-01T00:00:00.000Z",
  "httpsPath": "text",
  "httpsPort": 1
}
{
  "submitter": {
    "companyId": 1,
    "parameters": {
      "ANY_ADDITIONAL_PROPERTY": {}
    }
  },
  "receiver": {
    "companyId": 1,
    "parameters": {
      "ANY_ADDITIONAL_PROPERTY": {}
    }
  }
}

Forward attachments to collaboration partners

post
Authorizations
Path parameters
tokenstringRequired

The token provided by TSANet for the collaboration request

Query parameters
descriptionstringRequired

Description of the attachments

Body
filesstring · binary[]Required

Files to forward

Responses
200

Attachments forwarded successfully

fileNamestringOptional
receiverStatusstring · enumOptionalPossible values:
receiverMessagestringOptional
submitterStatusstring · enumOptionalPossible values:
submitterMessagestringOptional
completeSuccessbooleanOptional
partialSuccessbooleanOptional
post/v1/collaboration-requests/{token}/attachments
POST /v1/collaboration-requests/{token}/attachments?description=text HTTP/1.1
Host: connect2.tsanet.org
Content-Type: multipart/form-data
Accept: */*
Content-Length: 20

{
  "files": [
    "binary"
  ]
}
[
  {
    "fileName": "text",
    "receiverStatus": "SUCCESS",
    "receiverMessage": "text",
    "submitterStatus": "SUCCESS",
    "submitterMessage": "text",
    "completeSuccess": true,
    "partialSuccess": true
  }
]

Analyze arbitrary data and return a proposed attachment configuration without saving it

post
Authorizations
Path parameters
tokenstringRequired

The token provided by TSANet for the collaboration request

Body
Other propertiesobjectOptional
Responses
200

Proposed attachment configuration

domainstringRequired
passwordstringRequired
expirationstring · date-timeRequired
httpsPathstringRequired
httpsPortinteger · int32Required
post/v1/collaboration-requests/{token}/attachments/config/https/analyze
POST /v1/collaboration-requests/{token}/attachments/config/https/analyze HTTP/1.1
Host: connect2.tsanet.org
Content-Type: application/json
Accept: */*
Content-Length: 30

{
  "ANY_ADDITIONAL_PROPERTY": {}
}
{
  "domain": "text",
  "password": "text",
  "expiration": "2026-01-01T00:00:00.000Z",
  "httpsPath": "text",
  "httpsPort": 1
}

Get attachment configuration for a collaboration request

get
Authorizations
Path parameters
tokenstringRequired

The token provided by TSANet for the collaboration request

Responses
200

Attachment configuration

get/v1/collaboration-requests/{token}/attachments/config
GET /v1/collaboration-requests/{token}/attachments/config HTTP/1.1
Host: connect2.tsanet.org
Accept: */*
{
  "submitter": {
    "companyId": 1,
    "parameters": {
      "ANY_ADDITIONAL_PROPERTY": {}
    }
  },
  "receiver": {
    "companyId": 1,
    "parameters": {
      "ANY_ADDITIONAL_PROPERTY": {}
    }
  }
}

Last updated